# vim: set ts=4 sw=4 et:
# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           gmusicbrowser
Summary:        An open-source jukebox for large collections of mp3/ogg/flac/mpc files
Version:        1.1.6
Release:        1.5
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Multimedia/Sound/Players
URL:            http://squentin.free.fr/gmusicbrowser/gmusicbrowser.html
# http://gmusicbrowser.org/download/gmusicbrowser-%{version}.tar.gz
Source0:        gmusicbrowser-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
Requires:       MPlayer
Requires:       perl(Gtk2)
Requires:       perl(Gtk2::MozEmbed)
Requires:       perl(Gtk2::TrayIcon)
Requires:       perl(Gtk2::Notify)
Requires:       perl(Locale::gettext) >= 1.04
Requires:       perl(Digest::CRC)
Requires:       mpg123
Requires:       vorbis-tools
Requires:       flac123
Recommends:     perl(Gtk2::WebKit)
Recommends:     perl(Net::DBus)
Recommends:     perl(Net::DBus::GLib)
BuildRequires:  MPlayer
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Gtk2::MozEmbed)
BuildRequires:  perl(Gtk2::TrayIcon)
BuildRequires:  perl(Gtk2::Notify)
BuildRequires:  perl(Locale::gettext) >= 1.04
BuildRequires:  perl(Digest::CRC)
BuildRequires:  mpg123
BuildRequires:  vorbis-tools
BuildRequires:  flac123
BuildRequires:  perl(Gtk2::WebKit)
BuildRequires:  perl(Net::DBus)
BuildArch:      noarch

%description
gmusicbrowser - An open-source jukebox for large collections of
mp3/ogg/flac/mpc files, written in perl.

Main features:
* artist/album lock : easily restrict playlist to current artist/album
* easy access to related songs (same artist/album/title)
* fully featured tag editor
* simple mass-tagging and mass-renaming
* support multiple genres for each song
* customizable labels can be set for each song
* filter history in the browser window
* filters with unlimited nesting of conditions
* customizable weighted random mode

%prep
%setup -q

%build

%install
%makeinstall \
    docdir=%{buildroot}%{_docdir}/%{name}

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 pix/%{name}.png \
    %{buildroot}%{_datadir}/pixmaps
%suse_update_desktop_file -r -n %{name} AudioVideo Player Jukebox

%find_lang %{name}

%__rm -rf %{buildroot}/usr/lib/menu

%fdupes -s "%{buildroot}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/*
%{_datadir}/icons/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Mar 16 2011 pascal.bleser@opensuse.org
- update to 1.1.6
* Sun Oct 18 2009 toni@links2linux.de
- update to 1.0.2
- switched to noarch
- This should be the last release for this branch. it consists of minor fixes and
  improvements and updates a few translations.
* Mon Nov 24 2008 toni@links2linux.de
- update to 1.0.1
* Sun Jul 27 2008 toni@links2linux.de
- update to 1.0
* Sat May  3 2008 toni@links2linux.de
- update to 0.964
* Sun Mar  2 2008 toni@links2linux.de
- update to 0.963
* Mon Oct 29 2007 toni@links2linux.de
- update to 0.962
* Wed Jul 11 2007 toni@links2linux.de
- update to 0.960
* Sat Mar 31 2007 toni@links2linux.de
- initial release of rpm 0.958
